Subject: Re: Improved copy_page() function, about 30% speed up for mpc860!

From: Dan Malek <[email-masked]>
Date: Mon, 03 Mar 2003 16:18:54 -0500

Joakim Tjernlund wrote:

> I found a link that may have relevance regarding  the dcbz problem , can anybody confirm this?
> http://www.uwsg.iu.edu/hypermail/linux/kernel/0012.0/0529.html

This is just one of the many different things that happen with various
silicon versions and the use of the cache instructions on the 8xx.
In this particular case, we have fixed this "bug" because it affects
other load/store instructions under some conditions (i.e. this isn't
unique to the cache instructions).

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/